[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[gnunet] 11/16: use unstable only for riscv64
From: |
gnunet |
Subject: |
[gnunet] 11/16: use unstable only for riscv64 |
Date: |
Sun, 16 Jun 2024 10:44:35 +0200 |
This is an automated email from the git hooks/post-receive script.
nora-grothoff pushed a commit to branch master
in repository gnunet.
commit c65774bbc496429faedb3a247b6aa4e90393c0ee
Author: Nullptrderef <nullptrderef@proton.me>
AuthorDate: Sun Jun 16 10:37:40 2024 +0200
use unstable only for riscv64
---
contrib/ci/Containerfile | 3 +--
contrib/ci/ci.sh | 10 +++++++--
contrib/ci/riscv64.Containerfile | 46 ++++++++++++++++++++++++++++++++++++++++
3 files changed, 55 insertions(+), 4 deletions(-)
diff --git a/contrib/ci/Containerfile b/contrib/ci/Containerfile
index 061bf0b79..ee9f882c4 100644
--- a/contrib/ci/Containerfile
+++ b/contrib/ci/Containerfile
@@ -1,5 +1,4 @@
-# FIXME: Only use unstable for riscv
-FROM docker.io/library/debian:unstable
+FROM docker.io/library/debian:trixie
ENV DEBIAN_FRONTEND=noninteractive
diff --git a/contrib/ci/ci.sh b/contrib/ci/ci.sh
index 0719015b9..f454a6e3b 100755
--- a/contrib/ci/ci.sh
+++ b/contrib/ci/ci.sh
@@ -9,14 +9,20 @@ JOB_NAME="${1}"
JOB_ARCH=$((grep CONTAINER_ARCH contrib/ci/jobs/${JOB_NAME}/config.ini | cut
-d' ' -f 3) || echo "${2:-amd64}")
JOB_CONTAINER=$((grep CONTAINER_NAME contrib/ci/jobs/${JOB_NAME}/config.ini |
cut -d' ' -f 3) || echo "localhost/${REPO_NAME}:${JOB_ARCH}")
CONTAINER_BUILD=$((grep CONTAINER_BUILD contrib/ci/jobs/${JOB_NAME}/config.ini
| cut -d' ' -f 3) || echo "True")
+CONTAINERFILE="contrib/ci/$JOB_ARCH.Containerfile"
-echo "Image name: ${JOB_CONTAINER}"
+if ! [[ -f "$CONTAINERFILE" ]]; then
+ CONTAINERFILE="$(dirname "$CONTAINERFILE")/Containerfile"
+fi;
+
+echo "Image name: ${JOB_CONTAINER}
+Containerfile: ${CONTAINERFILE}"
if [ "${CONTAINER_BUILD}" = "True" ] ; then
"${OCI_RUNTIME}" build \
--arch "${JOB_ARCH}" \
-t "${JOB_CONTAINER}" \
- -f contrib/ci/Containerfile .
+ -f "$CONTAINERFILE" .
fi
"${OCI_RUNTIME}" run \
diff --git a/contrib/ci/riscv64.Containerfile b/contrib/ci/riscv64.Containerfile
new file mode 100644
index 000000000..02a1b8bb8
--- /dev/null
+++ b/contrib/ci/riscv64.Containerfile
@@ -0,0 +1,46 @@
+# This file is separate as trixie does not offer a stable riscv on docker yet.
+FROM docker.io/library/debian:unstable
+
+ENV DEBIAN_FRONTEND=noninteractive
+
+RUN apt-get update -yqq && \
+ apt-get upgrade -yqq && \
+ apt-get install -yqq \
+ git \
+ autoconf \
+ libextractor-dev \
+ libjansson-dev \
+ libgcrypt-dev \
+ libqrencode-dev \
+ libpq-dev \
+ libmicrohttpd-dev \
+ pkg-config \
+ libtool \
+ recutils \
+ make \
+ python3-sphinx \
+ python3-sphinx-book-theme \
+ python3-sphinx-multiversion \
+ python3-sphinx-rtd-theme \
+ texinfo \
+ autopoint \
+ curl \
+ libcurl4-openssl-dev \
+ libsodium-dev \
+ libidn11-dev \
+ zlib1g-dev \
+ libunistring-dev \
+ iptables
+
+# Debian packaging tools
+RUN apt-get install -yqq \
+ po-debconf \
+ build-essential \
+ debhelper-compat \
+ devscripts \
+ git-buildpackage \
+ && rm -rf /var/lib/apt/lists/*
+
+WORKDIR /workdir
+
+CMD ["/bin/bash"]
--
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.
- [gnunet] 02/16: fix the gitignore, (continued)
- [gnunet] 02/16: fix the gitignore, gnunet, 2024/06/16
- [gnunet] 05/16: extract deploy-package scripts, gnunet, 2024/06/16
- [gnunet] 03/16: unify deb-package scripts under ci/common/deb-package, gnunet, 2024/06/16
- [gnunet] 06/16: untested (for now, codespell needs to be fixed prior to testing) riscv64, gnunet, 2024/06/16
- [gnunet] 12/16: -fix indent, gnunet, 2024/06/16
- [gnunet] 10/16: at the request of C to get this working, use unstable ATM debian only has RISC-V containers for unstable debian. Due to how ci.sh is setup, we can only pick one image for the base., gnunet, 2024/06/16
- [gnunet] 09/16: clean often doesnt exist, gnunet, 2024/06/16
- [gnunet] 14/16: remove unneeded ignores, gnunet, 2024/06/16
- [gnunet] 07/16: all the codespell errors are now gone, gnunet, 2024/06/16
- [gnunet] 13/16: document dependency, gnunet, 2024/06/16
- [gnunet] 11/16: use unstable only for riscv64,
gnunet <=
- [gnunet] 15/16: quote the print, gnunet, 2024/06/16
- [gnunet] 16/16: Merge branch 'ci-riscv' into 'master', gnunet, 2024/06/16
- [gnunet] 08/16: i forgto 2 of them, gnunet, 2024/06/16
- [gnunet] 04/16: run codespell, move build to 1-, gnunet, 2024/06/16